## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemUse Class Reference

`#include <ElemUse.hpp>`

Inheritance diagram for ElemUse:

[legend]
Collaboration diagram for ElemUse:

[legend]
List of all members.

## Public Types

- typedef size_t size_type

## Public Methods

- ElemUse (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, int xslToken)
    Construct an object corresponding to an "use-attribute-sets" attribute. More...
- virtual ~ElemUse ()
- bool processUseAttributeSets (StylesheetConstructionContext &constructionContext, const XalanDOMChar *attrName, const AttributeListType &atts, int which)
    See if this is a use-attribute-sets attribute, and, if so, process it. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void postConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler)
    Called after construction is completed. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e. More...
- virtual const ElemTemplateElement* getNextChildElemToExecute (StylesheetExecutionContext &executionContext, const ElemTemplateElement *currentElem) const
    Returns the next sub-element (i.e. More...
- virtual const ElemTemplateElement* getFirstChildElemToExecute (StylesheetExecutionContext &executionContext) const
    Returns the first sub-element (i.e. More...

## Protected Methods

- const ElemTemplateElement* getNextAttributeSet (StylesheetExecutionContext &executionContext) const
    Get the next attribute set to execute. More...
- virtual void evaluateAVTs (StylesheetExecutionContext &executionContext) const
    Evalute the AVTs for this element. More...

## Member Typedef Documentation

typedef size_t ElemUse::size_type

## Constructor & Destructor Documentation

ElemUse::ElemUse ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| int lineNumber,
| int columnNumber,
| int xslToken )

  | Construct an object corresponding to an "use-attribute-sets" attribute. This is a base class for "xsl:element," "xsl:copy" and "xsl:attribute-set" elements, which may specify attribute sets to use. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemUse::~ElemUse ( | )`[virtual]`

## Member Function Documentation

void ElemUse::endElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "post-processing" afer any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it does nothing Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement. Reimplemented in ElemAttributeSet, ElemCopy, ElemElement, ElemExtensionCall, and ElemLiteralResult.

void ElemUse::evaluateAVTs ( | StylesheetExecutionContext & executionContext ) const`[protected, virtual]`

  | Evalute the AVTs for this element. Parameters:
  executionContext | context to execute this element
Reimplemented in ElemLiteralResult.

const XalanDOMString & ElemUse::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement. Reimplemented in ElemAttributeSet, ElemCopy, ElemElement, and ElemLiteralResult.

const ElemTemplateElement * ElemUse::getFirstChildElemToExecute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Returns the first sub-element (i.e. children, attribute-sets, templates) to execute. Parameters:
  executionContext | context to execute element
Returns: first sub-element to execute, 0 only if no sub-elements to execute Reimplemented from ElemTemplateElement.

const ElemTemplateElement * ElemUse::getNextAttributeSet ( | StylesheetExecutionContext & executionContext ) const`[protected]`

  | Get the next attribute set to execute. Parameters:
  executionContext | context to execute this element
Returns: a pointer to the attribute set element, 0 if no more attribute sets

const ElemTemplateElement * ElemUse::getNextChildElemToExecute ( | StylesheetExecutionContext & executionContext,
| const ElemTemplateElement * currentElem ) const`[virtual]`

  | Returns the next sub-element (i.e. children, attribute-sets, templates) to execute. Parameters:
  executionContext | context to execute element
  currentElem | the last sub-element to be executed
Returns: next sub-element to execute, 0 only if no more sub-elements to execute Reimplemented from ElemTemplateElement.

void ElemUse::postConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler )`[virtual]`

| Called after construction is completed. Reimplemented from ElemTemplateElement. Reimplemented in ElemLiteralResult.

bool ElemUse::processUseAttributeSets ( | StylesheetConstructionContext & constructionContext,
| const XalanDOMChar * attrName,
| const AttributeListType & atts,
| int which )

  | See if this is a use-attribute-sets attribute, and, if so, process it. Parameters:
  attrName | qualified name of attribute
  atts | attribute list where the element comes from (not used at this time)
  which | index into the attribute list (not used at this time)
Returns: true if this is a use-attribute-sets attribute

const ElemTemplateElement * ElemUse::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement. Reimplemented in ElemAttributeSet, ElemCopy, ElemElement, ElemExtensionCall, and ElemLiteralResult.

The documentation for this class was generated from the following file:

- ElemUse.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.